Package org.eclipse.m2m.atl.dsls.core

# Class EMFTCSExtractor.EMFExtractorAdapter

java.lang.Object
org.eclipse.m2m.atl.dsls.core.EMFTCSExtractor.EMFExtractorAdapter

All Implemented Interfaces:
  `ModelAdapter`

Enclosing class:
  EMFTCSExtractor

public class EMFTCSExtractor.EMFExtractorAdapter extends Object implements ModelAdapter

## Constructor Summary

Constructors
Constructor
Description
`EMFExtractorAdapter()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(Object modelElement, String name)`
`boolean`
`getBool(Object me, String propName)`
`boolean`
`getBoolUndefinedIsFalse(Object me, String propName)`
`Iterator`
`getCol(Object me, String propName)`
`Set`
`getElementsByType(Object model, String typeName)`
`String`
`getEnumLiteralName(Object me)`
`int`
`getInt(Object me, String propName)`
`Object`
`getME(Object me, String propName)`
`Object`
`getMetaobject(Object me)`
`String`
`getName(Object ame)`
`Object`
`getPropertyType(Object f, String propName)`
`String`
`getString(Object me, String propName)`
`String`
`getTypeName(Object me)`
`boolean`
`isAModelElement(Object o)`
`boolean`
`isEnumLiteral(Object value)`
`boolean`
`isPrimitive(Object value)`
`String`
`nextString(Iterator i)`
`Object`
`refImmediateComposite(Object me)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EMFExtractorAdapter

public EMFExtractorAdapter()

## Method Details

### get

public Object get(Object modelElement, String name)

Specified by:
  `get` in interface `ModelAdapter`

### getBool

public boolean getBool(Object me, String propName)

Specified by:
  `getBool` in interface `ModelAdapter`

### getBoolUndefinedIsFalse

public boolean getBoolUndefinedIsFalse(Object me, String propName)

Specified by:
  `getBoolUndefinedIsFalse` in interface `ModelAdapter`

### getCol

public Iterator getCol(Object me, String propName)

Specified by:
  `getCol` in interface `ModelAdapter`

### getElementsByType

public Set getElementsByType(Object model, String typeName)

Specified by:
  `getElementsByType` in interface `ModelAdapter`

### getInt

public int getInt(Object me, String propName)

Specified by:
  `getInt` in interface `ModelAdapter`

### getME

public Object getME(Object me, String propName)

Specified by:
  `getME` in interface `ModelAdapter`

### getMetaobject

public Object getMetaobject(Object me)

Specified by:
  `getMetaobject` in interface `ModelAdapter`

### getString

public String getString(Object me, String propName)

Specified by:
  `getString` in interface `ModelAdapter`

### getTypeName

public String getTypeName(Object me)

Specified by:
  `getTypeName` in interface `ModelAdapter`

### getName

public String getName(Object ame)

Specified by:
  `getName` in interface `ModelAdapter`

### refImmediateComposite

public Object refImmediateComposite(Object me)

Specified by:
  `refImmediateComposite` in interface `ModelAdapter`

### isAModelElement

public boolean isAModelElement(Object o)

Specified by:
  `isAModelElement` in interface `ModelAdapter`

### getPropertyType

public Object getPropertyType(Object f, String propName)

Specified by:
  `getPropertyType` in interface `ModelAdapter`

### isPrimitive

public boolean isPrimitive(Object value)

Specified by:
  `isPrimitive` in interface `ModelAdapter`

### isEnumLiteral

public boolean isEnumLiteral(Object value)

Specified by:
  `isEnumLiteral` in interface `ModelAdapter`

### getEnumLiteralName

public String getEnumLiteralName(Object me)

Specified by:
  `getEnumLiteralName` in interface `ModelAdapter`

### nextString

public String nextString(Iterator i)

Specified by:
  `nextString` in interface `ModelAdapter`